declare module "*.vue" {
  import { DefineComponent } from "vue";
  const component: DefineComponent<object, object, any>;
  export default component;
}

declare interface Window {
  SHJSceneUeStream: any;
  SHJSceneUEIframeWebscoket: any;
  SHJSceneVrViewer: any;
  SHJSceneUnityIframeInstance: {
    url: string;
    ref: any;
  };
  SHJWeb3DEditorInstance: Editor | null;
  Loca: any;
  electron: any;
  electronAPI: any;
  pannellum: any;
  videojs: any;
  ue: any;
  ue5: (...args: any[]) => void;
  _AMapSecurityConfig: any;

  _apiEnvironment: {
    envName: string;
    envBaseUrl: string;
  };
  _globalEvent: any[];
  _variables: any[];
}

declare module "videojs";
declare module "*.png";
